@echo off
cls
echo
echo.
echo.
echo.
echo.
echo                            WELCOME TO THE
echo                               STARTREK
echo                  MODPACK AND SCENARIO INSTALL FILE
echo            -----------------------------------------------
echo.            
echo.
echo.
echo.
echo.
echo.
echo.
echo                         By Kevin Gilbert
echo.
pause
cls
echo.
echo This installation file will backup the current civilization
echo files with a BK* extension. To restore to the original
echo settings, use UNINSTALL. Regardless of the efforts of 
echo this program to prevent the loss of important files, you 
echo should still take precautions by backing up the program
echo before running this utility.
echo.
echo This utility assumes the civilization II program exists in
echo the C:\APPS\MPS\CIV2 directory. If you are asked to 
echo replace an existing file, it is recommended to answer YES.
echo.
echo If you do not want to run this installation, press CNTRL+C
echo now.
echo.
pause
cls
echo.
echo.
echo.
echo.
echo Backing up current settings...
echo.
copy c:\apps\mps\civ2\*.txt c:\apps\mps\civ2\*.bkt
copy c:\apps\mps\civ2\*.gif c:\apps\mps\civ2\*.bkg
ren c:\apps\mps\civ2\pedia\getinfo.exe c:\apps\mps\civ2\pedia\getinfo.bak
copy c:\apps\mps\civ2\sound\*.wav c:\apps\mps\civ2\sound\*.bkw

echo.
echo Loading Star Trek Mod Pack...
echo.
copy *.txt c:\apps\mps\civ2
copy *.gif c:\apps\mps\civ2
copy *.wav c:\apps\mps\civ2\sound
echo.
echo Loading Scenarios...
echo.
copy *.scn c:\apps\mps\civ2
copy *.mp c:\apps\mps\civ2

echo.
echo.
echo            Done!
echo Be sure to read READ1ST.TXT
echo.
pause


